#!/bin/sh

srcdir=..
destdir=build

mkdir $destdir
mkdir $destdir/tutorial
mkdir $destdir/howto
mkdir $destdir/info
mkdir $destdir/interface
mkdir $destdir/plugins
mkdir $destdir/problems

cp $srcdir/template/style.css    $destdir/
cp $srcdir/template/AbiSwish.png $destdir/

AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howtables" \
	--to=$destdir/howto/howtotables.html $srcdir/howto/howtotables.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howdocs" \
	--to=$destdir/howto/howtodocs.html $srcdir/howto/howtodocs.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howtrans" \
	--to=$destdir/howto/howtotranslation.html $srcdir/howto/howtotranslation.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howlists" \
	--to=$destdir/howto/howtolists.html $srcdir/howto/howtolists.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howdocument" \
	--to=$destdir/howto/howtodocument.html $srcdir/howto/howtodocument.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howprefs" \
	--to=$destdir/howto/howtoprefs.html $srcdir/howto/howtoprefs.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howmailmerge" \
	--to=$destdir/howto/howtomailmerge.html $srcdir/howto/howtomailmerge.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howtemplate" \
	--to=$destdir/howto/howtonormaltemplate.html $srcdir/howto/howtonormaltemplate.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howweb" \
	--to=$destdir/howto/howtoweb.html $srcdir/howto/howtoweb.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howmsword" \
	--to=$destdir/howto/howtoword.html $srcdir/howto/howtoword.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howexphtml" \
	--to=$destdir/howto/howtoexporthtml.html $srcdir/howto/howtoexporthtml.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: howto; active-submenu: howindex" \
	--to=$destdir/howto/index.html $srcdir/howto/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infindex" \
	--to=$destdir/info/index.html $srcdir/info/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infformats" \
	--to=$destdir/info/infoformats.html $srcdir/info/infoformats.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infmsdi" \
	--to=$destdir/info/infomsdi.html $srcdir/info/infomsdi.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infsections" \
	--to=$destdir/info/infosections.html $srcdir/info/infosections.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infsysreq" \
	--to=$destdir/info/inforequirements.html $srcdir/info/inforequirements.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: info; active-submenu: infspelling" \
	--to=$destdir/info/infospelling.html $srcdir/info/infospelling.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdbgcolor" \
	--to=$destdir/interface/dialogbackgroundcolor.html $srcdir/interface/dialogbackgroundcolor.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdbookmark" \
	--to=$destdir/interface/dialogbookmark.html $srcdir/interface/dialogbookmark.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdbreak" \
	--to=$destdir/interface/dialogbreak.html $srcdir/interface/dialogbreak.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdchgcase" \
	--to=$destdir/interface/dialogchangecase.html $srcdir/interface/dialogchangecase.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdcolumns" \
	--to=$destdir/interface/dialogcolumns.html $srcdir/interface/dialogcolumns.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intddatetime" \
	--to=$destdir/interface/dialogdateandtime.html $srcdir/interface/dialogdateandtime.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdfield" \
	--to=$destdir/interface/dialogfield.html $srcdir/interface/dialogfield.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdfind" \
	--to=$destdir/interface/dialogfind.html $srcdir/interface/dialogfind.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdfont" \
	--to=$destdir/interface/dialogfont.html $srcdir/interface/dialogfont.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdgoto" \
	--to=$destdir/interface/dialoggoto.html $srcdir/interface/dialoggoto.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdinstable" \
	--to=$destdir/interface/dialoginserttable.html $srcdir/interface/dialoginserttable.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdfmttable" \
	--to=$destdir/interface/dialogformattable.html $srcdir/interface/dialogformattable.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdmergecls" \
	--to=$destdir/interface/dialogmergecells.html $srcdir/interface/dialogmergecells.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdfootnote" \
	--to=$destdir/interface/dialogformatfootnotes.html $srcdir/interface/dialogformatfootnotes.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdhdrftr" \
	--to=$destdir/interface/dialogformatheaderfooters.html $srcdir/interface/dialogformatheaderfooters.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdhreflink" \
	--to=$destdir/interface/dialoghyperlink.html $srcdir/interface/dialoghyperlink.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdhtmlex" \
	--to=$destdir/interface/dialoghtmlexport.html $srcdir/interface/dialoghtmlexport.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdimgprops" \
	--to=$destdir/interface/dialogimageproperties.html $srcdir/interface/dialogimageproperties.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdlang" \
	--to=$destdir/interface/dialoglanguage.html $srcdir/interface/dialoglanguage.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdlists" \
	--to=$destdir/interface/dialoglists.html $srcdir/interface/dialoglists.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdmailm" \
	--to=$destdir/interface/dialogmailmerge.html $srcdir/interface/dialogmailmerge.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdmailmt" \
	--to=$destdir/interface/dialogmailmergetool.html $srcdir/interface/dialogmailmergetool.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdmarkrev" \
	--to=$destdir/interface/dialogmarkrevisions.html $srcdir/interface/dialogmarkrevisions.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdselrev" \
	--to=$destdir/interface/dialogselectrevision.html $srcdir/interface/dialogselectrevision.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdmodstyle" \
	--to=$destdir/interface/dialogmodifystyle.html $srcdir/interface/dialogmodifystyle.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdnew" \
	--to=$destdir/interface/dialognew.html $srcdir/interface/dialognew.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdnewstyle" \
	--to=$destdir/interface/dialognewstyle.html $srcdir/interface/dialognewstyle.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdopenlin" \
	--to=$destdir/interface/dialogopenlinux.html $srcdir/interface/dialogopenlinux.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdpagenos" \
	--to=$destdir/interface/dialogpagenumbers.html $srcdir/interface/dialogpagenumbers.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdpageset" \
	--to=$destdir/interface/dialogpagesetup.html $srcdir/interface/dialogpagesetup.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdpara" \
	--to=$destdir/interface/dialogparagraph.html $srcdir/interface/dialogparagraph.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdplugins" \
	--to=$destdir/interface/dialogplugins.html $srcdir/interface/dialogplugins.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdprefs" \
	--to=$destdir/interface/dialogpreferences.html $srcdir/interface/dialogpreferences.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdprint" \
	--to=$destdir/interface/dialogprint.html $srcdir/interface/dialogprint.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdprops" \
	--to=$destdir/interface/dialogproperties.html $srcdir/interface/dialogproperties.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdreplace" \
	--to=$destdir/interface/dialogreplace.html $srcdir/interface/dialogreplace.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdsavelin" \
	--to=$destdir/interface/dialogsavelinux.html $srcdir/interface/dialogsavelinux.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdscrcolor" \
	--to=$destdir/interface/dialogscreencolor.html $srcdir/interface/dialogscreencolor.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdspell" \
	--to=$destdir/interface/dialogspelling.html $srcdir/interface/dialogspelling.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdstyles" \
	--to=$destdir/interface/dialogstyles.html $srcdir/interface/dialogstyles.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdsymbol" \
	--to=$destdir/interface/dialogsymbol.html $srcdir/interface/dialogsymbol.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdtabs" \
	--to=$destdir/interface/dialogtabs.html $srcdir/interface/dialogtabs.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdviewdoc" \
	--to=$destdir/interface/dialogviewdocument.html $srcdir/interface/dialogviewdocument.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdwordcnt" \
	--to=$destdir/interface/dialogwordcount.html $srcdir/interface/dialogwordcount.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intdzoom" \
	--to=$destdir/interface/dialogzoom.html $srcdir/interface/dialogzoom.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intindex" \
	--to=$destdir/interface/index.html $srcdir/interface/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intwspace" \
	--to=$destdir/interface/workspace.html $srcdir/interface/workspace.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmcontext" \
	--to=$destdir/interface/menucontextual.html $srcdir/interface/menucontextual.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmedit" \
	--to=$destdir/interface/menuedit.html $srcdir/interface/menuedit.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmfile" \
	--to=$destdir/interface/menufile.html $srcdir/interface/menufile.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmformat" \
	--to=$destdir/interface/menuformat.html $srcdir/interface/menuformat.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmhelp" \
	--to=$destdir/interface/menuhelp.html $srcdir/interface/menuhelp.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intminsert" \
	--to=$destdir/interface/menuinsert.html $srcdir/interface/menuinsert.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmtools" \
	--to=$destdir/interface/menutools.html $srcdir/interface/menutools.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmtable" \
	--to=$destdir/interface/menutable.html $srcdir/interface/menutable.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmview" \
	--to=$destdir/interface/menuview.html $srcdir/interface/menuview.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intmwindow" \
	--to=$destdir/interface/menuwindow.html $srcdir/interface/menuwindow.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intrulers" \
	--to=$destdir/interface/rulers.html $srcdir/interface/rulers.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: inttextra" \
	--to=$destdir/interface/toolbarextra.html $srcdir/interface/toolbarextra.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: intttable" \
	--to=$destdir/interface/toolbartable.html $srcdir/interface/toolbartable.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: inttformat" \
	--to=$destdir/interface/toolbarformatting.html $srcdir/interface/toolbarformatting.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: interface; active-submenu: inttstandard" \
	--to=$destdir/interface/toolbarstandard.html $srcdir/interface/toolbarstandard.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: problems; active-submenu: proindex" \
	--to=$destdir/problems/index.html $srcdir/problems/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: problems; active-submenu: probugs" \
	--to=$destdir/problems/problemsbugs.html $srcdir/problems/problemsbugs.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: problems; active-submenu: profaq" \
	--to=$destdir/problems/problemsfaq.html $srcdir/problems/problemsfaq.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: problems; active-submenu: prohelp" \
	--to=$destdir/problems/problemshelp.html $srcdir/problems/problemshelp.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: tutorial" \
	--to=$destdir/tutorial/index.html $srcdir/tutorial/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: tutorial; active-submenu: tutintro" \
	--to=$destdir/tutorial/intro.html $srcdir/tutorial/intro.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: tutorial; active-submenu: tutwindow" \
	--to=$destdir/tutorial/window.html $srcdir/tutorial/window.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: ..; active-menu: plugins" \
	--to=$destdir/plugins/index.html $srcdir/plugins/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: aboutos" \
	--to=$destdir/aboutos.html $srcdir/aboutos.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: azindex" \
	--to=$destdir/azindex.html $srcdir/azindex.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: credits" \
	--to=$destdir/credits.html $srcdir/credits.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: fdl" \
	--to=$destdir/fdl.html $srcdir/fdl.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: top; active-submenu: topindex" \
	--to=$destdir/index.html $srcdir/index.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: top; active-submenu: topintro" \
	--to=$destdir/introduction.html $srcdir/introduction.abw
AbiWord-2.0 --exp-props="html-template: $srcdir/template/template.html; href-prefix: .; active-menu: search" \
	--to=$destdir/search.html $srcdir/search.abw
